Bug 880571 - SSSD crashes when c-ares returns success but an empty hostent during the DNS update
SSSD crashes when c-ares returns success but an empty hostent during the DNS ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: sssd (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Hrozek
Fedora Extras Quality Assurance
abrt_hash:ee4b5d815892178d086dbb1fd18...
:
Depends On:
Blocks: 880967
  Show dependency treegraph
 
Reported: 2012-11-27 06:07 EST by Stef Walter
Modified: 2013-01-11 19:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 880967 (view as bug list)
Environment:
Last Closed: 2013-01-11 19:10:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: var_log_messages (333 bytes, text/plain)
2012-11-27 06:07 EST, Stef Walter
no flags Details
File: core_backtrace (1.74 KB, text/plain)
2012-11-27 06:07 EST, Stef Walter
no flags Details
File: environ (196 bytes, text/plain)
2012-11-27 06:07 EST, Stef Walter
no flags Details
File: limits (1.29 KB, text/plain)
2012-11-27 06:07 EST, Stef Walter
no flags Details
File: backtrace (28.73 KB, text/plain)
2012-11-27 06:07 EST, Stef Walter
no flags Details
File: cgroup (154 bytes, text/plain)
2012-11-27 06:07 EST, Stef Walter
no flags Details
File: smolt_data (2.75 KB, text/plain)
2012-11-27 06:07 EST, Stef Walter
no flags Details
File: executable (25 bytes, text/plain)
2012-11-27 06:07 EST, Stef Walter
no flags Details
File: maps (29.89 KB, text/plain)
2012-11-27 06:08 EST, Stef Walter
no flags Details
File: dso_list (6.41 KB, text/plain)
2012-11-27 06:08 EST, Stef Walter
no flags Details
File: build_ids (2.80 KB, text/plain)
2012-11-27 06:08 EST, Stef Walter
no flags Details
File: proc_pid_status (886 bytes, text/plain)
2012-11-27 06:08 EST, Stef Walter
no flags Details
File: open_fds (1.11 KB, text/plain)
2012-11-27 06:08 EST, Stef Walter
no flags Details

  None (edit)
Description Stef Walter 2012-11-27 06:07:34 EST
Version-Release number of selected component:
sssd-1.9.2-3.fc18

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
backtrace_rating: 4
cmdline:        /usr/libexec/sssd/sssd_be --domain idm.lab.bos.redhat.com --debug-to-files
crash_function: ipa_dyndns_update_get_addrs_done
kernel:         3.6.6-3.fc18.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 ipa_dyndns_update_get_addrs_done at src/providers/ipa/ipa_dyndns.c:736
: #1 resolv_gethostbyname_done at src/resolv/async_resolv.c:1413
: #2 resolv_gethostbyname_dns_query_done at src/resolv/async_resolv.c:988
: #3 end_squery at ares_search.c:208
: #4 search_callback at ares_search.c:155
: #5 qcallback at ares_query.c:180
: #6 end_query at ares_process.c:1266
: #7 process_answer at ares_process.c:611
: #9 read_udp_packets at ares_process.c:497
: #10 processfds at ares_process.c:152
Comment 1 Stef Walter 2012-11-27 06:07:37 EST
Created attachment 652596 [details]
File: var_log_messages
Comment 2 Stef Walter 2012-11-27 06:07:47 EST
Created attachment 652597 [details]
File: core_backtrace
Comment 3 Stef Walter 2012-11-27 06:07:49 EST
Created attachment 652598 [details]
File: environ
Comment 4 Stef Walter 2012-11-27 06:07:51 EST
Created attachment 652599 [details]
File: limits
Comment 5 Stef Walter 2012-11-27 06:07:53 EST
Created attachment 652600 [details]
File: backtrace
Comment 6 Stef Walter 2012-11-27 06:07:55 EST
Created attachment 652601 [details]
File: cgroup
Comment 7 Stef Walter 2012-11-27 06:07:57 EST
Created attachment 652602 [details]
File: smolt_data
Comment 8 Stef Walter 2012-11-27 06:07:59 EST
Created attachment 652603 [details]
File: executable
Comment 9 Stef Walter 2012-11-27 06:08:03 EST
Created attachment 652604 [details]
File: maps
Comment 10 Stef Walter 2012-11-27 06:08:05 EST
Created attachment 652605 [details]
File: dso_list
Comment 11 Stef Walter 2012-11-27 06:08:07 EST
Created attachment 652606 [details]
File: build_ids
Comment 12 Stef Walter 2012-11-27 06:08:09 EST
Created attachment 652607 [details]
File: proc_pid_status
Comment 13 Stef Walter 2012-11-27 06:08:15 EST
Created attachment 652608 [details]
File: open_fds
Comment 14 Jakub Hrozek 2012-11-28 04:53:06 EST
There are two bugs, really. One is that c-ares returns success and empty address list and the other is that the SSSD does not handle that situation well. Stephen patched the empty list check in the SSSD and I'll clone this bugzilla to c-ares, too. We should investigate how could c-ares return an empty list.

Stef, was that problem reproducable in your environment or just a one-time fluke?
Comment 15 Jakub Hrozek 2012-11-28 09:29:57 EST
Upstream ticket:
https://fedorahosted.org/sssd/ticket/1675
Comment 16 Fedora Update System 2012-12-06 14:32:50 EST
sssd-1.9.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/sssd-1.9.3-1.fc18
Comment 17 Fedora Update System 2012-12-07 15:46:15 EST
Package sssd-1.9.3-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sssd-1.9.3-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19960/sssd-1.9.3-1.fc18
then log in and leave karma (feedback).
Comment 18 Fedora Update System 2013-01-11 19:10:29 EST
sssd-1.9.3-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.